
import { defineStore } from 'pinia';
import { store } from '@/store';

export const useCluesRowStore = defineStore({
  id: 'clues-row-data',
  state: () => ({
    rowData:{}
  }),
  getters: {
    getRowData(state) {
      return state.rowData  || {};
    },
  },
  actions: {
    /**
     * @description:
     */
    setRowData(data) {
      this.rowData = data;
    },

  },
});

// Need to be used outside the setup
export function useCluesRowStoreWithOut() {
  return useCluesRowStore(store);
}
